/* voice detection */
*{
  margin: 0;
  padding: 0;  
}
body {
    /* background:
      radial-gradient(at 30% 40%, #00ffff80 10%, transparent 74%),
      radial-gradient(at 70% 60%, #0080ff80 10%, transparent 74%); */
    background-color: #000;
    color: #fff;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    min-height: 100vh;
    --dropdown-handle-size: 0.35rem;  
  }
  .row{
    /* background-color: red; */
    margin-left:15px ;
  width: 100%;
  /* border: 3px solid green;
  padding: 10px;
  padding-left: 15px;
  text-align: center; */
  }
  .carousel-inner{
    height: 500px;
  }
#gridCheck{
    border-radius: 30px;
    width: 30px;
  }
  .row{
    /* background-color: blue; */
    padding-left: 150px;
    padding-top: 50px;
  }
  
 main{
    margin: 0;
    font-family: var(--bs-body-font-family);
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    text-align: var(--bs-body-text-align);
    background-color: var(--bs-body-bg);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
    display: block;
 }
  label {
    padding: 0 0 0.2rem 0;
    display: block;
  }
  #lol{
    width: 10px;
  }
  .group {
    margin: 0.75rem 0.75rem;
  }
  input, select {
    box-sizing: border-box;
    font-size: 1.35rem;
    border: 1px solid #ccc;
    padding: 0.5em;
    border-radius: 0.3em;
    background: linear-gradient(#eee, #ffffff 20%);
    min-width: 20rem;
  }
  
  input:focus, select:focus {
    outline: none !important;
    box-shadow: 0 0 10px #fff;
  }
  
  select {
    /* reset */
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
  
    background-image:
      linear-gradient(45deg, transparent 50%, gray 50%),
      linear-gradient(135deg, gray 50%, transparent 50%),
      linear-gradient(#eee, #ffffff 20%);
    background-position:
      calc(100% - var(--dropdown-handle-size) - 1rem) calc(50%),
      calc(100% - 1rem) calc(50%),
      center;
    background-size:
      var(--dropdown-handle-size) var(--dropdown-handle-size),
      var(--dropdown-handle-size) var(--dropdown-handle-size),
      100% 100%;
    background-repeat: no-repeat;
  }
  
  .inputContainer {
    position: relative;
  }
  #p{
  border: 3px solid green;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  height: 300px;
  }
  .colinput-12{
    display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  height: 300px;
  }




  .bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }

  @media (min-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
    }
  }

  .b-example-divider {
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
  }

  .b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
  }

  .bi {
    vertical-align: -.125em;
    fill: currentColor;
  }

  .nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
  }

  .nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
  }
  





  /* subscription */
  .bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }

  @media (min-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
    }
  }

  .b-example-divider {
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
  }

  .b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
  }

  .bi {
    vertical-align: -.125em;
    fill: currentColor;
  }

  .nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
  }

  .nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
  }




  